## Class Swift_Mime_HeaderEncoder_QpHeaderEncoder

(line 21)

## Description

    Swift_Encoder_QpEncoder
       |
       --Swift_Mime_HeaderEncoder_QpHeaderEncoder

Located in File: /vendors/swiftMailer/classes/Swift/Mime/HeaderEncoder/QpHeaderEncoder.php

##### Handles Quoted Printable (Q) Header Encoding in Swift Mailer.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_HeaderEncoder_QpHeaderEncoder __construct (Swift_CharacterStream $charStream)
string encodeString (string $string, [ $firstLineOffset = 0], [ $maxLineLength = 0], int $firstLineOffset,, int $maxLineLength,)
string getName ()
string _encodeByteSequence ( $bytes, &$size)

#### Constructor __construct (line 31)

#### Swift_Mime_HeaderEncoder_QpHeaderEncoder __construct( Swift_CharacterStream $charStream)

Overrides : Swift_Encoder_QpEncoder::__construct() Creates a new QpEncoder for the given CharacterStream.

##### Creates a new QpHeaderEncoder for the given CharacterStream.

#### Parameters

- Swift_CharacterStream $charStream: to use for reading characters

#### Info

- access - public

#### Method encodeString (line 63)

#### string encodeString( string $string, [ $firstLineOffset = 0], [ $maxLineLength = 0], int $firstLineOffset,, int $maxLineLength,)

Overrides : Swift_Encoder_QpEncoder::encodeString() Takes an unencoded string and produces a QP encoded string from it.

Implementation of:

Swift_Encoder::encodeString()
  Encode a given string to produce an encoded string.

##### Takes an unencoded string and produces a Q encoded string from it.

#### Parameters

- string $string: to encode
- int $firstLineOffset,: optional
- int $maxLineLength,: optional, 0 indicates the default of 76 chars
- $firstLineOffset:
- $maxLineLength:

#### Info

- access - public

#### Method getName (line 51)

#### string getName( )

Implementation of:

Swift_Mime_HeaderEncoder::getName()
  Get the MIME name of this content encoding scheme.

##### Get the name of this encoding scheme.

Returns the string 'Q'.

#### Info

- access - public

#### Method _encodeByteSequence (line 79)

#### string _encodeByteSequence( $bytes, &$size)

Overrides : Swift_Encoder_QpEncoder::_encodeByteSequence() Encode the given byte array into a verbatim QP form.

##### Encode the given byte array into a verbatim QP form.

#### Parameters

- int[] $bytes:
- &$size:

#### Info

- access - protected

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Swift_Encoder_QpEncoder

#### Swift_Encoder_QpEncoder::$_charStream - The CharacterStream used for reading characters (as opposed to bytes).

#### Swift_Encoder_QpEncoder::$_filter - A filter used if input should be canonicalized.

#### Swift_Encoder_QpEncoder::$_qpMap - Pre-computed QP for HUGE optmization.

#### Swift_Encoder_QpEncoder::$_safeMap - A map of non-encoded ascii characters.

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Encoder_QpEncoder

#### Swift_Encoder_QpEncoder::__construct() - Creates a new QpEncoder for the given CharacterStream.

#### Swift_Encoder_QpEncoder::charsetChanged() - Updates the charset used.

#### Swift_Encoder_QpEncoder::encodeString() - Takes an unencoded string and produces a QP encoded string from it.

#### Swift_Encoder_QpEncoder::_encodeByteSequence() - Encode the given byte array into a verbatim QP form.

#### Swift_Encoder_QpEncoder::_nextSequence() - Get the next sequence of bytes to read from the char stream.

#### Swift_Encoder_QpEncoder::_standardize() - Make sure CRLF is correct and HT/SPACE are in valid places.

Documentation generated on Fri, 12 Nov 2010 20:45:28 +0000 by phpDocumentor 1.4.3